Term::ProgressBar::IO(3)

NAME
Term::ProgressBar::IO -- Display a progress bar while reading from a seekable filehandle

SYNOPSIS
  my $pb = Term::ProgressBar::IO->new($fh);

  while (<$fh>) {
      # do something
      $pb->update();
  }

DESCRIPTION
Displays a progress bar using Term::ProgressBar which corresponds to reading from a filehandle.

This module inherits from Term::ProgressBar and has all of its options.

BUGS
None known.

METHODS

  new
Create and return a new Term::ProgressBar::IO instance.

ARGUMENTS
    count
        A valid filehandle or item count. IO::Uncompress filehandles are also properly handled.

    OTHER ARGUMENTS
        All other arguments are documented in Term::ProgressBar

  update
Automatically update the progress bar based on the position of the filehandle given at construction time.

ARGUMENTS
    so_far
        Current progress point; this defaults to the current position of the filehandle. [You probably don't actually want to ever give this.]